from ctypes import *
#encoding=UTF-8
SIDLL = CDLL('./libSI300DLL.so')

if SIDLL.SI300_eBuscarPortaVelocidade == 0:
	print " FALHA EM ABRIR A PORTA !"
	exit()
else:
	print " SUCESSO EM ABRIR A PORTA !"
	
print " Imprimindo arquivo de texto ...."
SIDLL.SI300_iImprimirArquivo("./arquivo-teste.txt")

SIDLL.SI300_iImprimirTexto("<xl><ce>TESTE IMAGEM TONS DE CINZA<ce></xl><sl>1</sl>", 0)

print " Imprimindo imagem em tons de cinza...."
SIDLL.SI300_iImprimirImagem("./imagem-teste.bmp")

print " Imprimindo qrcode ...."
SIDLL.SI300_iImprimirTexto("<xl><ce>TESTE QRCODE<ce></xl><sl>2</sl><qrcode>http://sweda.com.br/v2011/br/default.asp?1dsa64dsa14d89sa1d1sa894dsa4dsa84ds8a94d98sa4d98sa46s1ad4sa894ds6a4d89sa4d98sa4d98sa4d1sa4d98sa?hhhhhsdsauidsaigcasnudysgabdsauyvdsauvufyavuydsvauydvsauvtastatsasadsadsadsadsadsa</qrcode>", 0)

print " Emitindo pulso sonoro ...."
SIDLL.SI300_iImprimirTexto("<sn>5</sn>", 0)

print " Configurando a altura para 50mm ...."
SIDLL.SI300_iImprimirTexto("<xl><ce>TESTE ALTURA</xl><sl>2</sl> ALTURA ANTERIOR<l></l><ean8>01234567</ean8><l></l><altbarras>50</altbarras>DEPOIS DA CONFIGURAÇÃO<l></l><ean8>01234567</ean8></ce>", 0)
SIDLL.SI300_iImprimirTexto(" ", 0)

print " Imprimindo codigo ean8 ...."
SIDLL.SI300_iImprimirTexto("<xl><ce>TESTE CODIGO EAN8<ce></xl><sl>2</sl><ean8>01234567</ean8>", 0)

print " Imprimindo codigo ean13 ...."
SIDLL.SI300_iImprimirTexto("<xl><ce>TESTE CODIGO EAN13<ce></xl><sl>2</sl><ean13>123456789012</ean13>", 0)

print " Imprimindo codigo codabar ...."
SIDLL.SI300_iImprimirTexto("<xl><ce>TESTE CODIGO CODABAR<ce></xl><sl>2</sl><codabar>a1234567890a</codabar>", 0)

print " Imprimindo codigo code128 ...."
SIDLL.SI300_iImprimirTexto("<xl><ce>TESTE CODIGO CODE128<ce></xl><sl>2</sl><code128>*SWEDAINFO*</code128>", 0)

print " Imprimindo codigo code93 ...."
SIDLL.SI300_iImprimirTexto("<xl><ce>TESTE CODIGO CODE93<ce></xl><sl>2</sl><code93>12345678</code93>", 0)

print " Imprimindo codigo code39 ...."
SIDLL.SI300_iImprimirTexto("<xl><ce>TESTE CODIGO CODE39<ce></xl><sl>2</sl><code39>12345678</code39>", 0)

print " Imprimindo codigo upc-a ...."
SIDLL.SI300_iImprimirTexto("<xl><ce>TESTE CODIGO UPC-A<ce></xl><sl>2</sl><upc-a>12345678901</upc-a><l></l><gui></gui>", 0)            

